Bug 446321 - System Check for Kile "fails" on KDE4
System Check for Kile "fails" on KDE4
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kile (Show other bugs)
11
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-13 23:05 EDT by Ben Boeckel
Modified: 2010-06-28 06:36 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 06:36:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben Boeckel 2008-05-13 23:05:23 EDT
Description of problem:
Kile's system check says that critical components are missing and says that not
having KDVI, KPDF, KPS and other critical components are missing. This may
confuse new users that it won't work when xdg-open is used instead.

Version-Release number of selected component (if applicable):
2.0.1

How reproducible:
100%

Steps to Reproduce:
1. Open Kile
2. Do a system check
  
Actual results:
System check fails

Expected results:
Kile to not care what apps are available for viewing (this probably is for
upstream though)

Additional info:
Kile works just fine, but users may be deterred that it won't work.
Comment 1 Kevin Kofler 2008-05-14 00:35:46 EDT
Rex, do you want me to look into this? It's not critical, but it's kinda silly 
to have a "critical component missing" complaint when nothing is actually 
amiss.
Comment 2 Rex Dieter 2008-05-14 08:38:57 EDT
Kevin, if you've got the time, yes please.  Else, I will, eventually.
Comment 3 Thomas Braun 2008-06-04 17:14:31 EDT
Hello,

I'm one of the upstream devs of kile.

For the system check kile uses the dcop system message service.

This system-check-tool-list is in kile 2.0.1 KDE 3.5.x centric or KDE independent.
If I read correctly fedora 9 ships some KDE 4.0 parts. So this means no
KDVI/KGhostview/KPDF but Okular?

bye,
Thomas Braun
Comment 4 Steven M. Parrish 2008-06-21 14:19:22 EDT
Any update Kevin?
Comment 5 Kevin Kofler 2008-06-21 14:37:13 EDT
Not yet, sorry.
Comment 6 M.R. Beauchamp 2008-07-12 17:20:09 EDT
why not extend the spec file for kile/f9 with statements that add a set of
symbolic links for kdvi, kpdf, etc. These point to okular? This should solve 80%
of the problems with this bug. 

bye
Comment 7 Kevin Kofler 2008-07-12 17:26:00 EDT
Because that's definitely not the correct fix.
Comment 8 Steven M. Parrish 2009-02-06 11:52:33 EST
Any fix forthcoming, or do you want to close as WONTFIX?
Comment 9 Steven M. Parrish 2009-06-07 19:23:39 EDT
Kevin do you still plan on fixing this or do you want it to die when F9 goes EOL?

-- 
Steven M. Parrish - KDE Triage Master
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 10 Kevin Kofler 2009-06-07 19:49:42 EDT
This affects every distro with KDE 3 Kile, which are all Fedora releases so far. Rebasing to F11.
Comment 11 thomas.braun 2009-06-24 16:40:11 EDT
The upcoming version of kile, 2.1, will be completely KDE4 centric and therefore this bug can be closed as soon as this version is in fedora.
If you also include beta version into fedora you might grab 2.1beta1 from http://kile.sourceforge.net/.

bye,
thomas (member of kile dev team)
Comment 12 Rex Dieter 2009-06-24 16:58:37 EDT
:) That one is already in rawhide (targetting F-12).  Question is if we'd want to upgrade kde3 version -> kde4 version for existing releases.  comments?
Comment 13 thomas.braun 2009-07-01 14:05:55 EDT
From a developer POV I'd suggest waiting for 2.1 final release.
We also plan to provide an upgrade path for the tools somehow.
Comment 14 Steven M. Parrish 2009-09-01 10:17:18 EDT
In response to Rex's comment #12 I would go with upgrading F11 to the new release but not F10 at this stage of the game.

-- 
Steven M. Parrish - KDE Triage Master
                  - PackageKit Triager
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 15 Steven M. Parrish 2009-09-29 08:42:33 EDT
Beta 2 of 2.1 is out.  Do we want to look at going on and getting this into F11?

-- 
Steven M. Parrish - KDE Triage Master
                  - PackageKit Triager
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 16 Ben Boeckel 2009-10-06 12:03:53 EDT
Possibly. I don't know how many regressions there are from KDE3 -> KDE4 version, but I haven't noticed anything blatantly missing with my use of it.
Comment 17 Bug Zapper 2010-04-27 08:02:45 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 18 Bug Zapper 2010-06-28 06:36:29 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.